Subject: Re: [bitcoin-dev] Segwit v2

From: "Russell O'Connor" <[email-masked]>
Date: Wed, 26 Apr 2017 17:34:29 -0400

On Wed, Apr 26, 2017 at 4:01 PM, Luke Dashjr via bitcoin-dev <
[email-masked]> wrote:

> There are things scriptSig can do that witness cannot today - specifically
> add
> additional conditions under the signature. We can always obsolete scriptSig
> later, after segwit has provided an alternative way to do this.
>

I'm not sure what you are referring to here.  The data in the scriptSigs
are never signed.  The scriptSigs are always stripped from the transaction
before the sigHash is made.